Subject: Ackanomic Research Digest V2 #6
From: [email-masked] (Ackanomic Research Digest)
To: acka-research-digest

Ackanomic Research Digest    Friday, March 7 1997    Volume 02 : Number 006

----------------------------------------------------------------------

Date: Wed, 5 Mar 1997 22:40:34 -0900
From: Phil Ackley <[email-masked]>
Subject: Re: Acka:  Proposal 1779 

>>Proposal 1779
>>Pet Animals
>>Vynd

I am declaring P1779 Harfy.

snowgod

------------------------------

Date: Thu, 6 Mar 1997 01:58:59 -0600 (CST)
From: Jason Orendorff <[email-masked]>
Subject: Re: Acka: Proposal 1779

	Let me first say that for a first proposal, this is insanely
well-done, technically speaking.  I can't think of anyone who's made a
more expert debut.  Do you also wait 2 weeks before posting a message to a
usenet newsgroup?  If so, I hereby accuse you of being the legendary
Perfect Netizen. 

> Each such pet, once purchased, is
> unique, there can be no other pet with the same name and species.  It
> is important to note that Pet Animals as a whole are not unique, there
> can be more than one Pet Animal.  It is the pet's name and species
> that constitutes it's unique type.  Other pets with the same name, or
> other pets of the same species, are also permissible, as it is the
> combination of the two that yields the specific, unqiue, Pet Animal
> [Whew].
	I really, really hate to be the one to tell you this, but none of 
that is necessary, as long as we have " " (the rule of uniqueness of 
names, Rule 348.

> Players on vacation are considered to have taken their pets with them.
	I don't know if this is enough to say that you don't have to feed 
your pet when you're away... but that can be fixed, if not by CSR then by 
a second prop.

- --Mohammed
impressed

------------------------------

Date: Thu, 6 Mar 1997 13:56:18 +0200 (EET)
From: Uri Bruck <[email-masked]>
Subject: Re: Acka:  Proposal 1780

On Thu, 6 Mar 1997, Jason Orendorff wrote:

> ---
> with this:
> ---
> That Swinger has three days in which to make eir play, with the
> following exceptions:
> 
> (i)  If a Swinger asks for more time, either during eir turn or just
> before it, or if e goes on vacation during eir turn, then the
> ChessUmpire may grant the request, extending the Swinger's turn to
> seven days.
> ---

This will shorten a Swinger's turn to three days instead of four.
The four day turn takes into account the time it takes me as Chess-Umpire
to process the turn, check for legalities and post the updated board. I
try to do this asap, even though "Speed" gives me three days. This
proposal will make the game unplayable IMO, and if it passes, I will
resign as Chess-Umpire.

If Mohammed has found this time limit so distasteful, I would have
appreciated him discussing this with me first.

Niccolo Flychuck
Chess-Umpire
Chess Expert

------------------------------

Date: Thu, 6 Mar 1997 06:13:19 -0600 (CST)
From: Jason Orendorff <[email-masked]>
Subject: Re: Acka: Proposal 1780

> proposal will make the game unplayable IMO, and if it passes, I will
> resign as Chess-Umpire.
> 
> If Mohammed has found this time limit so distasteful, I would have
> appreciated him discussing this with me first.
	Oooooookay.  I guess that means you don't like the idea?

#retract proposal 1780
#thanks

- --Mohammed
reduced to his component atoms
trying to hide under his shoes

------------------------------

Date: Thu, 6 Mar 1997 14:23:17 +0200 (EET)
From: Uri Bruck <[email-masked]>
Subject: Re: Acka: Proposal 1780

On Thu, 6 Mar 1997, Jason Orendorff wrote:

> > proposal will make the game unplayable IMO, and if it passes, I will
> > resign as Chess-Umpire.
> > 
> > If Mohammed has found this time limit so distasteful, I would have
> > appreciated him discussing this with me first.
> 	Oooooookay.  I guess that meansyou don't like the idea?

I don't like it. There is a reason for that time limit, as I believe I
made clear in that last post, and if you had asked before hand I would
have told you the reason.  The holy grail of standardization would have
made the game impossible for me to maintain, and probably for anyone else
as well.

 > 
> #retract proposal 1780
> #thanks
>

Thanks. Don't you need to send that to acrobot to make it work?

Niccolo Flychuck
 
> --Mohammed
> reduced to his component atoms
> trying to hide under his shoes
> 

------------------------------

Date: Thu, 6 Mar 1997 15:11:00 +0200 (EET)
From: Uri Bruck <[email-masked]>
Subject: Re: Acka:  Proposal 1780

On Thu, 6 Mar 1997, Jason Orendorff wrote:

> Proposal 1780
> Chess Clock
> Mohammed
> 
> 
> 
> This is a Modest Proposal.
> 
> [This proposal does a lot of silly punctuation-harfing, but it also
> has a practical effect: it changes the time periods involved from four
> days to three or seven, depending on thecircumstances.  I believe the
> changes are all worth making.]

The puctuation and other minor corrections are a good thing. I don't see
much value in changing most of those time periods. For most of them. I
don't care much. The only duration I do mind is the turn duration. 
If this were submitted without that change it would be fine.

 > 
> [I also believe there's a lot that could be done to make the Party
> Chess rules much more readable and understandable.  But that's another
> day's work...]
Please RFC or consult me first.

> 
> e.  In section 3.A.ii., replace:
> ---
> ii.  It includes in its title the words "Creation of a PartyChessPiece,"
>      followed by the name of the piece it creates.
> ---
> with:
> ---
> ii.  It is a Rule in the Party Chess Rule Suite.  {{[We've had some
> 	icky problems with this in the past.]}}

Party Chess was written before Rule Suites. The current phrasing is
something of a relic.

> 
> b.  In section 1.E.(iii), replace "When a single is checked," with
> "When a single Swinger is checked,".

Does Rod Swingle play chess?

> 
> d.  In section 1.H.(ii)(a), replace "If a a Swinger's Office" with "If
> a Swinger's Office".
> 
> e.  In section 1.H.(ii)(a), replace "If no play is suggested within
> two days" with "If no play is suggested within three days".
> 
> f.  In section 1.H.(ii)(a), replace "If a play has been suggested
> within two days of the beginning of the public NAP turn then the turn
> deadline is set to four days after the beginning of a public NAP
> turn." with "If a play is suggested within three days of the beginning
> of the public NAP turn, then the turn deadline is extended to seven
> days after the beginning of the public NAP turn."

This entire section can be done away with. If players have enough interest
in PartyChess to kibitz a vacant Office, they might as well just fill that
Office.  Anyone can still kibitz. Otherwise this section serves no useful
purpose.

> 
> h.  In section 1.H.(ii)(b), replace "if four days after" with "if
> three days after".  [This regulates the time allowed for a Party whose
> Swinger Seat is Warm to come up with a move when they're checked.  The
> way I see it, if they can't get organized in three days, it's because
> they don't know how to play PartyChess, and the extra day isn't going
> to help.]
This is the same as the turn deadline.

> 
> l.  In section 3.C.(i), at the endof this:
> ---
>    The process of promotion is as follows: The original promotable
>    piece is destroyed, and instantly, the piece to which it promotes is
>    created, at no cost, and placed on the square that was occupied by
>    the promotable piece when it was destroyed.
> ---
> replace "destroyed." with:
> ---
>    destroyed, in the ownership of the Swinger who owned the
>    promotable piece.

Sorry, I don't understand this ammendment.

Furthermore, all instances of derivations of purchase should be replaced
with 'created in the ownership of the Swinger's Office'
and then pieces should be made ownable untradeable entities.

Niccolo Flychuck

------------------------------

Date: Thu, 6 Mar 1997 13:27:23 -0600 (CST)
From: Jason Orendorff <[email-masked]>
Subject: Re: Acka: Proposal 1780

> > #retract proposal 1780
> > #thanks
> Thanks. Don't you need to send that to acrobot to make it work?
	It was CC'd to the acrobot, but I forgot to put "acrobot" in the 
SL.  Silly me.  :o)
	I'll go fix that right now...

- --Mohammed

------------------------------

Date: Thu, 6 Mar 1997 13:37:20 -0600 (CST)
From: Jason Orendorff <[email-masked]>
Subject: Re: Acka: Proposal 1780

> > [I also believe there's a lot that could be done to make the Party
> > Chess rules much more readable and understandable.  But that's another
> > day's work...]
> Please RFC or consult me first.
	Fair enough.  :o)

> > b.  In section 1.E.(iii), replace "When a single is checked," with
> > "When a single Swinger is checked,".
> Does Rod Swingle play chess?
	*groan*

> This entire section can be done away with. If players have enough interest
> in PartyChess to kibitz a vacant Office, they might as well just fill that
> Office.
	Sounds good to me.

re:  three days, four days
> This is the same as the turn deadline.
	Right, they should stay the same.

> > l.  In section 3.C.(i), at the endof this:
> > ---
> >    The process of promotion is as follows: The original promotable
> >    piece is destroyed, and instantly, the piece to which it promotes is
> >    created, at no cost, and placed on the square that was occupied by
> >    the promotable piece when it was destroyed.
> > ---
> > replace "destroyed." with:
> > ---
> >    destroyed, in the ownership of the Swinger who owned the
> >    promotable piece.
> 
> Sorry, I don't understand this ammendment.
	Well, the current language doesn't specify who owns the new 
piece.  This change adds a few words at the end of the sentence to 
specify that:  "new piece is created ... ... in the ownership of the 
swinger who owned the promotable piece."
	But on closer inspection I think the whole section on promotion
can be removed (or turned into a big comment).  If the two big PartyChess
rules didn't have so many precedence calls, the PCPD rules could probably
sort it out amongst themselves. 

> Furthermore, all instances of derivations of purchase should be replaced
> with 'created in the ownership of the Swinger's Office'
	Okay.  Cool.

> and then pieces should be made ownable untradeable entities.
	Ownable and untradeable are the defaults.  The proposal I 
retracted did make them entities, I think... I was up kinda late tho...

- --Mohammed

------------------------------

Date: Thu, 6 Mar 1997 23:47:20 +0200 (EET)
From: Uri Bruck <[email-masked]>
Subject: Re: Acka: Proposal 1780

On Thu, 6 Mar 1997, Jason Orendorff wrote:

> > > l.  In section 3.C.(i), at the endof this:
> > > ---
> > >    The process of promotion is as follows: The original promotable
> > >    piece is destroyed, and instantly, the piece to which it promotes is
> > >    created, at no cost, and placed on the square that was occupied by
> > >    the promotable piece when it was destroyed.
> > > ---
> > > replace "destroyed." with:
> > > ---
> > >    destroyed, in the ownership of the Swinger who owned the
> > >    promotable piece.
> > 
> > Sorry, I don't understand this ammendment.
> 	Well, the current language doesn't specify who owns the new 
> piece. This change adds a few words at the end of the sentence to 
> specify that:  "new piece is created ... ... in the ownership of the 
> swinger who owned the promotable piece."
1. This ammendment does no achieve this effect.
2. Since no change of ownership is specified should be assumed.
3. If you do want to change this, specify the ownership of the created
piece, not the destroyed piece. (which seems to be what you've done above)

> 
> > Furthermore, all instances of derivations of purchase should be replaced
> > with 'created in the ownership of the Swinger's Office'
> 	Okay.  Cool.
> 
> > and then pieces should be made ownable untradeable entities.
> 	Ownable and untradeable are the defaults.  The proposal I 
> retracted did make them entities, I think... I was up kinda late tho...

Fine. Either way, those last two changes should be made in the same
proposal. Back when I and a couple of other Swingers purchased some
pieces, there was no problem with it, now I believe I could make a pretty
good argument that they are not tradeable, not should them be. They should
be created at cost, in the ownershi p of the Swinger's office. Note that
the language should follow the current language in allowing a non-Swinger
to create such pieces and pay for them, and specify which Swinger is the
intended owner.
Niccolo Flychuck

 > 
> --Mohammed
> 

------------------------------

Date: Thu, 6 Mar 1997 17:00:37 -0600 (CST)
From: Jason Orendorff <[email-masked]>
Subject: Re: Acka: Proposal 1780

> > > > l.  In section 3.C.(i), at the endof this:
> > > > ---
> > > >    The process of promotion is as follows: The original promotable
> > > >    piece is destroyed, and instantly, the piece to which it promotes is
> > > >    created, at no cost, and placed on the square that was occupied by
> > > >    the promotable piece when it was destroyed.
> > > > ---
> > > > replace "destroyed." with:
> > > > ---
> > > >    destroyed, in the ownership of the Swinger who owned the
> > > >    promotable piece.
> > > 
> > > Sorry, I don't understand this ammendment.
> > 	Well, the current language doesn't specify who owns the new 
> > piece. This change adds a few words at the end of the sentence to 
> > specify that:  "new piece is created ... ... in the ownership of the 
> > swinger who owned the promotable piece."
> 1. This ammendment does no achieve this effect.
> 2. Since no change of ownership is specified should be assumed.
> 3. If you do want to change this, specify the ownership of the created
> piece, not the destroyed piece. (which seems to be what you've done above)
1.  Well... in my opinion it does, and I don't really see that it's open 
to interpretation in that way.
2.  The new piece is a totally new entity from the old one, so I see no
reason why we can assume anything about it.  (I would prefer that the
piece change from the old type to the new type, rather than being
destroyed/recreated, but the last time I suggested something like that was
with the Undead rewrite and *boy* did I get blasted.)
3.  I honestly don't understand where you're getting this, although I see 
that it could be better worded.  Anyway, I'll try making this a comment.

> Fine. Either way, those last two changes should be made in the same
> proposal. Back when I and a couple of other Swingers purchased some
> pieces, there was no problem with it, now I believe I could make a pretty
> good argument that they are not tradeable, not should them be.
	Even if the rule says they can be purchased from the treasury, 
this is not sufficient to imply that they're tradeable.  *shrug*

- --Mohammed

------------------------------

Date: Fri, 7 Mar 1997 01:13:17 +0200 (EET)
From: Uri Bruck <[email-masked]>
Subject: Re: Acka: Proposal 1780

On Thu, 6 Mar 1997, Jason Orendorff wrote:
> > > > > ---
> > > > > replace "destroyed." with:
> > > > > ---
> > > > >    destroyed, in the ownership of the Swinger who owned the
> > > > >    promotable piece.
> > > > 
> > > > Sorry, I don't understand this ammendment.
> > > 	Well, the current language doesn't specify who owns the new 
> > > piece. This change adds a few words at the end of the sentence to 
> > > specify that:  "new piece is created ... ... in the ownership of the 
> > > swinger who owned the promotable piece."
> > 1. This ammendment does no achieve this effect.
> > 2. Since no change of ownership is specified should be assumed.
> > 3. If you do want to change this, specify the ownership of the created
> > piece, not the destroyed piece. (which seems to be what you've done above)
> 1.  Well... in my opinion it does, and I don't really see that it's open 
> to interpretation in that way.
> 2.  The new piece is a totally new entity from the old one, soI see no
> reason why we can assume anything about it.  (I would prefer that the
> piece change from the old type to the new type, rather than being
> destroyed/recreated, but the last time I suggested something like that was
> with the Undead rewrite and *boy* did I get blasted.)
> 3.  I honestly don't understand where you're getting this, although I see 
> that it could be better worded.  Anyway, I'll try making this a comment.

Easy. Your write, in the proposal
replace 'destroyed' with 'destroyed, in the ownership of the Swinger who
owned that piece.'
Note that period. Then the rule just goes on before, creating a new piece
and not specifying anything about it. Ok, I'm convinced by your argument
that promotion isn't clear enough.  I'd see transformation as an
improvment. When I wrote it, I saw destruction and immediate creation as a
good way to define transformation, but one might as well specify
transformation.
Your text sticks the ownership in the same sentence with the destruction,
and not with the creation..
Furthermore, in reply to a previous post of yours. I would not like to
leave definition of promotion to PCPDs. What a promotion is, and the fact
that pieces are non-promotable by default is a general definition and that
is why it whould be a part of the chess rules. The PCPD rules use the
language defined in the PartyChess rules.

Niccolo Flychuck

------------------------------

End of Ackanomic Research Digest V2 #6
**************************************